<template lang="pug">
  .select
    label.label(v-if="label") {{ label }}:
    select.select(
      :value="value"
      @change="$emit('change', $event.target.value)"
    )
      option(v-for="item in data" :value="item.value") {{ item.label }}
</template>

<script>
export default {
  name: 'Select',

  props: {
    data: {
      required: true,
      type: Array,
    },

    value: {
      required: false,
      type: [Object, String, Number],
    },

    label: String,
  },
};
</script>

<style lang="stylus" scoped>
  .select
  .label
    font-size 19px
    line-height 1.5

  .label
    margin-right 10px

  .select
    background-color var(--background-color)
    color var(--font-primary)
    display flex
    flex-flow column nowrap
    @media screen and (min-width 480px)
      flex-flow row nowrap
</style>
